Skip to content
Permalink
Browse files

Android: Be slightly more aggressive at defaulting to Vulkan (from An…

…droid 8.1 / 27)
  • Loading branch information...
hrydgard committed Sep 2, 2019
1 parent 57c6ab7 commit e2ecf306facd2c6d1ae4461b5ce2082528fdb434
Showing with 7 additions and 3 deletions.
  1. +7 −3 Core/Config.cpp
@@ -575,9 +575,9 @@ static int DefaultGPUBackend() {
return (int)GPUBackend::DIRECT3D11;
}
#elif PPSSPP_PLATFORM(ANDROID)
// Default to Vulkan only on Pie (level 28) devices or newer. Drivers before Pie
// Default to Vulkan only on Oreo 8.1 (level 27) devices or newer. Drivers before
// were generally too unreliable to default to (with some exceptions, of course).
if (System_GetPropertyInt(SYSPROP_SYSTEMVERSION) >= 28) {
if (System_GetPropertyInt(SYSPROP_SYSTEMVERSION) >= 27) {
return (int)GPUBackend::VULKAN;
}
#endif
@@ -628,10 +628,14 @@ int Config::NextValidBackend() {
}
#endif

// They've all failed. Let them try the default.
// They've all failed. Let them try the default - or on Android, OpenGL.
sFailedGPUBackends += ",ALL";
ERROR_LOG(LOADER, "All graphics backends failed");
#if PPSSPP_PLATFORM(ANDROID)
return (int)GPUBackend::OPENGL;
#else
return DefaultGPUBackend();
#endif
}

return iGPUBackend;

0 comments on commit e2ecf30

Please sign in to comment.
You can’t perform that action at this time.